# Change Log for Custom Post Type UI

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [Unreleased]

## 1.10.2 - 2022-01-28
* Updated: Confirmed compatibility with WordPress 5.9

## 1.10.1 - 2021-12-07
* Added: Filter to our PHP Global sanitization function for Extended usage.

## 1.10.0 - 2021-10-04
* Added: Dashicon picker with popup. - Props arshidkv12
* Added: Tag Cloud widget support for custom taxonomies.
* Added: Filters that allow developers to override the data fetched from our options, if they choose to.
* Added: Ability to clear all filled in label values.
* Fixed: Hardened up various parts of our code to ensure security.
* Fixed: Incorrectly referenced variable from post types instead of taxonomies, for the rest_controller_class property.

## [1.9.2] - 2021-06-16 =
### Added
- Added: "date" as a reserved taxonomy slug.
### Fixed
- Fixed: duplicate "show_in_graphql" attribute output in "Get Code" output.
### Updated
- Updated: image optimization for smaller file sizes.
- Updated: removed duplicate taxonomy labels.

## [1.9.1] - 2021-04-19 =
### Fixed
- Fixed: missed WPGraphQL settings in our Get Tools/Export functionality.
### Updated
- Updated: note about needing a published item to set parent/child relationships in post types.

## [1.9.0] - 2021-03-30 =
### Added
- Added: WPGraphQL Support when WPGraphQL is installed and active.
### Fixed
- Fixed: Better handling of code in post_format based helper functions.
### Updated
- Updated: Cleaned up unused CSS.
- Updated: Added `types` to disallowed taxonomy slugs.
- Updated: Amended some helper text on the listings page regarding templates. Props @tarecord

## [1.8.2] - 2020-12-29
### Fixed
- Addressed some missing available labels for taxonomies.
### Updated
- Provide page slug and link to page if a post type slug is matching an existing page.
- Support link was pointed to legacy WordPress Codex but had been moved to Developer Portal. Props @robwent

## [1.8.1] - 2020-09-21
### Fixed
- Issues with WP-CLI importing.
### Added
- Menu icon preview that should have been in 1.8.0, but was missed. Props @glebkema

## [1.8.0] - 2020-08-14
### Added
- support for default terms with a custom taxonomy.
### Updated
- Removed the forcing of underscores for post type slugs. Taxonomies are still forced.
### Fixed
- jQuery compatibility issue with WordPress 5.5.0

## [1.7.5] - 2020-08-11
### Updated
- Addressed UI issues with WordPress 5.5.0
- Updated: Moved required minimum WordPress version to 5.5.0

## [1.7.4] - 2020-03-17
### Added
- Nonce admin verification for import functionality.
- Added: Extra escaping of markup and output for "Get Code" areas.

## [1.7.3] - 2020-02-05
### Updated
- styles and appearance to better match WordPress core.
- Updated: Change newsletter service integration. Hey, sign up for our newsletter! Props @Oceas

## [1.7.2] - 2020-01-08
### Fixed
- Duplicate entries for "delete_with_user" in get code.
- Fixed: Delete button for post types and taxonomies at bottom of page did not trigger dialog prompt.

## [1.7.1] - 2019-11-06
### Fixed
- Random-ish redirects to the "Add new" tab for post types or taxonomies
- Fixed: JavaScript error when trying to delete a taxonomy.

## [1.7.0] - 2019-11-06
### Added
- Actually added this time: Delete with user support for post types. Managed to miss the code with 1.6.0 which was a
  long time ago.
- Added: Ability to disable registration of post types or taxonomies, via code filter, without deleting them completely
  from settings.
- Added: New post type labels introduced in WordPress 5.0.0.
- Added: Link to Dashicon documentation for when editing menu icon. Props @juliekuehl
- Added: Ability to automatically fill in additional labels based on chosen plural and singular label text.
### Updated
-Updated: Added post type templates documentation to help section.
-Updated: Redirect user to the "add" tab if deleting the last post type or taxonomy created.
-Updated: Touched up tab markup to match semantic improvements provided by WordPress 5.2.0.
### Fixed
- Fixed: potential duplicate output of "parent_item_colon" with "Get Code" output.
### Misc
- Misc: Added code of conduct file to github repo. Props GaryJones.

## [1.6.2] - 2019-05-20
### Added
- "themes" is now a reserved post type slug due to conflicts with WordPress internally.

### Fixed
- Updated wording around "Supports" section of post type settings screen.

## [1.6.1] - 2018-12-03
### Fixed
- Missed quote for "publicly_queryable" in taxonomy "get code" output.
- Adjusted handling of capitalization on the word "false" when being used to disable a taxonomy metabox via the "metabox callback" setting. The word "false" needs to be all lowercase to disable.

### Updated
- Added note about ability to pass "false" for the "metabox callback" setting to disable the metabox.
- Fall back to "custom-post-type-ui" textdomain in "get code" output if theme does not have their own.
- Make "Show In Rest" setting default to true taxonomies for sake of easier Gutenberg integration in the future. 1.6.0 had just post types doing this.

## [1.6.0] - 2018-10-22
### Added
- Support for `meta_box_cb` parameter for `register_taxonomy` and taxonomies.
- Dynamically warn about existing slugs.
- "delete_with_user" support for post types.
- Filters for post type and taxonomy data right before saving of final data.
- `cptui_get_taxonomy_exists` function to check if a provided taxonomy is registered.
- Required PHP version to readme.txt
- Filter on taxonomies to be listed as available for association with a post type.
- Warning indicators to our "Slug changed" and "Slug exists" warnings for post types and taxonomies.
- Support for "publicly_queryable" parameter for taxonomies.
- Support for "rest_controller_class" parameters for both post types and taxonomies.
- Some initial WP-CLI support for importing and exporting CPTUI settings.
- `name_admin_bar` support in post type labels.
- Handling of array versions for "capability_type" field.

### Updated
- Bump minimum WordPress version to 4.7.
- Pass the object_type array to `cptui_pre_register_taxonomy` filter as extra parameter.
- Adjusted preserved label handling to aid with plugin performance. Props alex-solovyev
- Utilize `wp_doing_ajax()` function for our AJAX checks.
- Clarify what is exported with the Post Types and Taxonomies spots for the Tools section.
- Clarify that the listed post types to associate to a CPTUI taxonomy are public post types by default.
- Make "Show In Rest" setting default to true for sake of easier Gutenberg integration in the future.

### Fixed
- Only register archive slug if has_archive is set to true.
- Error occurred when attempting to unset post types while editing a taxonomy.
- Prevent errors from non-existant callback functions during post type or taxonomy processing.
- Incorrect use of reserved taxonomy slugs function in a check for reserved post types.
- Make sure "No post type selected" alert trigger from both buttons on the taxonomy settings edit screen.
- Add our stylesheet only on our CPTUI pages. Fixes responsive bug on post editor screen.
- Removed duplicate "label" in taxonomy "get code" section.

## [1.5.8] - 2018-04-16
### Fixed
- Corrected issue with `Get Code` area regarding post types and `show in menu` field values.
- Add post_format taxonomy support for CPTUI post types that declare post formats support. This primarily addresses issues with previewing changes for existing post type posts with post_format support.
- Add `show_in_nav_menus` settings/output to tools section.
- `Undefined index` notices for show_in_rest and rest_base settings.

### Updated
- Change how we hide submit button when editing existing post types or taxes so switching is available if a javascript error occurs.
- Updated sidebar links for Pluginize products.

## [1.5.7] - 2018-03-07
### Added
- `output` added to blacklisted taxonomy slug list.

### Fixed
- Prevent potential fatal error with customized links in plugin list page.

### Updated
- Text at top of help area and readme description to promote available layouts in CPTUI-Extended.
- Things have been tested on the latest WordPress. You're in good hands.

## [1.5.6] - 2017-11-09
### Added
- `custom_css`, `customize_changeset`, `author`, and `post_type` as reserved post_types.

### Fixed
- The "Invalid JSON" error message was receiving the wrong color indicator for for the admin notice.

## [1.5.5] - 2017-07-27
### Fixed
- Prevent possible conflicts with `.required` CSS selector by prefixing ours.
- Better accommodate possible labels with apostrophes, in relation to "Get code" functionality.

## [1.5.4] - 2017-06-22
### Fixed
- Resolved saving issue around post types that matched existing page slugs.
- Layout issues on about page.

## [1.5.3] - 2017-03-29
### Changed
- Updated existing and added new, fancier side graphics.

### Fixed
- Removed ability to rename post type and taxonomy slugs to reserved slugs after initial saving.

## [1.5.2] - 2017-02-01
### Added
- Clarification text regarding what the "Get code" section is useful for.

### Changed
- Help text for post type and taxonomy slugs around the use of dashes. See http://docs.pluginize.com/article/135-dashes-in-post-type-taxonomy-slugs-for-url-seo.

### Fixed
- Chrome conflicts around the JavaScript used to sanitize post type and taxonomy slugs and cursors moving to end of input.
- Further hardened undefined index notices and instance checks in our `cptui_not_new_install()` callback.

## [1.5.1] - 2017-01-17
### Changed
- Replaced hardcoded `manage_options` reference in our menu setup with variable holding filtered capability.

### Fixed
- Undefined index notice during update process for themes or plugins.
- Blacklisted the word `include` from allowed taxonomy slugs. Causes menus to not show in WP Admin.
- Blacklisted the word `fields` from allowed post type slugs. Causes pages to not show in WP Admin.

## [1.5.0] - 2017-01-10
### Added
- Helper functions to grab individual post types or taxonomies from CPTUI options, function to check for support for custom saved values.
- Helper functions to mark and check if a new CPTUI install.
- FAQ clarifying why post type/taxonomy slugs are forced to underscores. We mean well, I assure you.
- Conversion from Cyrillic characters to latin equivalents.

### Changed
- Further evolved Registered Post Types and Taxonomies screen to better match list table styles.
- Bumped minimum required WordPress version to 4.6.
- Clarified what checking a checkbox does in regards to "Supports" area of post type settings.
- Changed appropriate help/support links to docs.pluginize.com.
- Added filter to tab collection for the tools section. You can now add your own tabs.

### Fixed
- Parameter handling for `get_terms()` to match WordPress 4.5.
- Added `action` as a reserved taxonomy name.
- PHP Notices for rewrite array index, present since version 1.0.6.
- Prevent triggering post type/taxonomy slug convert when navigating screen via tab key.
- Provide empty quote indicator in Registered Post Types and Taxonomies screen for empty values.
- Post types and taxonomies no longer need extra page refresh to be registered after an import.

## [1.4.3] - 2016-10-17
### Fixed
- Issue with post types and taxonomies trying to be converted before registration. Prevented full success of process.
- Prevent trying to convert taxonomy terms if no terms exist. Taxonomy will still be deleted from CPTUI list.
- Prevent trying to redirect on activation if being network-activated.

## [1.4.2] - 2016-10-03
### Fixed
- Responsiveness of sections and "ad" space when creating post types or taxonomies on smaller screens. Props @thecxguy.

## [1.4.1] - 2016-08-25
### Fixed
- Issue with default values for new parameters regarding menu/nav menu display for taxonomies.
- Typo in support area.

## [1.4.0] - 2016-08-22
### Added
- "Export" tab on editor screens for quick access to post type or taxonomy export pages.
- CPTUI notices are now dismissable via a button on the right side.
- "Get code" link to registered post types and registered taxonomies listings.
- More amending of incorrect characters in post type and taxonomy slugs. Latin standard alphabet only. Sorry.
- New post type template stack reference from recent WordPress versions.
- Side warning notification if post type or taxonomy slug has been edited.
- Display About page upon activation of plugin.
- Link below ads regarding getting them removed via purchase of CPTUI Extended.
- No need to refresh page after initial save to see post types and taxonomies in menu.
- Taxonomy support for `show_in_menu` and `show_in_nav_menus`.

### Changed
- Switch to dedicated dashicon for color consistency between applied admin color schemes.
- Updated about page.
- Further UI refinements to better match WordPress admin. Adapted styles found from metaboxes, including collapse/expand toggles.

### Fixed
- Further improved labels for information text on inputs.
- Hide "choose icon" button for non-JS users.
- Issue with misused `parent` label key that should be `parent_item_colon`.
- Missed `show_in_menu_string` parameter for "get code" area.
- Make sure taxonomies have required post type associated.
- "Edit" links in listings area now account for network-admin when needed, with CPTUI Extended.

## [1.3.5] - 2016-06-03
### Fixed
- Removed undefined index error for `publicly_queryable` in "Get Code" area. That parameter is targeted for 1.4.0 release.

## [1.3.4] - 2016-05-04
### Added
- Newsletter subscription form to stay uptodate with Custom Post Type UI and Custom Post Type UI Extended news.
- Support page/FAQ info regarding Pluginize and recent sidebar developments.

### Changed
- Moved WDS-based services "ads" to within the plugin itself. Will not request remote resources.

### Fixed
- Better output formatting if WDS/Pluginize "ads" failed to load images.
- Undefined variable error in `cptui.js`.

## [1.3.3] - 2016-04-05
### Changed
- Revert changes for Ajax/heartbeat API requests before post type registration. 3rd party or other plugins were breaking because post types were not registered.

## [1.3.2] - 2016-04-05
### Added
- New contributors to readme file. Welcome John and Ryan.

### Changed
- New screenshot from 1.3.0 release. Moved to assets folder so users will no longer download as part of CPTUI.
- Better prevention of running our code during Ajax/heartbeat API requests.

### Fixed
- Logic issue with CPTUI JS files loading where they weren't meant to.
- Required markers missing on required post type fields.
- Removed excess labels that are not used by WordPress core.

## [1.3.1] - 2016-03-25
### Fixed
- Logic issue for default values of `public` parameter for taxonomies added in 1.3.0.

## [1.3.0] - 2016-03-24
### Added
- "Public" parameter for taxonomies.
- "View Post Types" and "View Taxonomies" tabs at top of add/edit screens.
- Better prevention of potential duplicate slugs in new post types and taxonomies.
- Current theme's textdomain as output in get code textareas.
- Fill in singular and plural label fields if none provided. WordPress does not auto-fill these.
- For developers: plenty of extra hooks all over for customization needs.
- Javascript-based prevention of spaces and special characters for post type and taxonomy slugs.
- Legend tag support to admin UI class.
- Minified copies of our JavaScript and CSS. Define SCRIPT_DEBUG to true to use non-minified versions.
- New post type and taxonomy labels provided by WordPress 4.3 and 4.4 releases. See: https://make.wordpress.org/core/2015/12/11/additional-labels-for-custom-post-types-and-custom-taxonomies/.
- Notes to post type and taxonomy edit screens about WordPress core's post types and taxonomies.
- Taxonomy slug update ability with preserved term association.
- Title, Editor, and Featured Image now checked by default for new post types.
- "Show in Quick Edit" taxonomy parameter available in WP 4.2.
- Promo spots on add/edit screens for other products from WebDevStudios.

### Changed
- Increased accessibility coverage.
- Revised how tabs are added to pages so 3rd party developers can add their own tabs.
- Improved string consistency in our UI helper notes. Props [Gary Jones].
- Tested on WordPress 4.5.
- Cleaned up admin footer area for social links.
- Moved all localization work to WordPress.org Translation packs.

### Deprecated
- `CPT_VERSION` constant.

### Fixed
- Need to visit permalinks page to flush rewrite rules after creating new post type or taxonomy.
- Missing REST API based parameters in "Get Code" output.

## [1.2.4] - 2016-02-13
### Added
- New `CPTUI_VERSION` constant to match naming of other current constants.
- `CPTUI_VERSION` constant to `cptui.css` string for cache busting.

## [1.2.3] - 2016-01-31
### Fixed
- Copy/paste error with admin CSS. Props hinaloe.

## [1.2.2] - 2016-01-30
### Fixed
- Missing admin menu icon for some browsers.
- Undefined index notices for post type screen.

## [1.2.1] - 2016-01-17
### Fixed
- Undefined index notices for custom taxonomies and new fields from 1.2.0.

## [1.2.0] - 2016-01-15
### Added
- Support for `show_in_nav_menus` parameter for post types.
- Support for taxonomy descriptions.
- Message on listings page if no post types or taxonomies are available.
- Note regarding `public` parameter not being true by default for WordPress but is for CPTUI.
- Individual post type and taxonomy output for "Get Code" area.
- Fallback values for post type/taxonomy select input and get code area if no plural label provided.
- Support for custom `query_var` strings for post types.
- Support for `show_in_rest` and `rest_base` for post types and taxonomies for the upcoming WordPress REST API.
- Template hierarchy files to listings tables for user reference.
- Form labels in more areas to help with accessibility and usability.
- Fieldset method to Admin UI class for easily adding fieldset output.
- Debugging tab for use with CPTUI support.

### Changed
- Minimum version required. Now WordPress 4.2.
- Heading tags match accessibility changes in WordPress 4.3.
- Moved page title for some pages above tabs.
- Textdomain now matches WordPress.org repo slug.
- Added Visual Composer questions/answers to support section.
- Added question/answer regarding spaces in post type slugs
- Changed help icons to a Dashicon help icon.

### Fixed
- Support for YARPP plugin.
- Prevent potential issues with Ajax requests and our scripts/styles.

## [1.1.3] - 2015-12-23
### Changed
- Bumping WordPress compatibility version only. No other changes involved.

## [1.1.2] - 2015-08-11
### Changed
- Added `target="_blank"` attribute to one of the inline help links for Menu position. Thanks @JulieKuehl.
- Change export value to plural label for taxonomies.
- Updated screenshots.

### Fixed
- Properly select a post type or taxonomy after deleting an existing value.
- Fixed potential XSS issue.

## [1.1.1] - 2015-06-15
### Fixed
- Re-add post type and taxonomy select buttons and only display for non-JS users.

## [1.1.0] - 2015-06-12
### Added
- Simplified UI with regards to clicking amount.
- Auto selecting of first available post type or taxonomy in Edit tab.
- Switch to post type or taxonomy upon selection within Edit tab.
- Return of a list of CPTUI-registered post types and taxonomies.
- Post type slug update capability.
- Added function reference third-party link to support area.
- New hooks in edit screen for custom content display on screen.
- UI field option for custom "Supports" parameters from other plugins. Example: Yet Another Related Posts Plugin.

### Changed
- String updates.
- Updated help/support section with another reference tool.
- Rearranged menu listing slightly to remove duplicate naming.
- GitHub repo has [GitHub Updater] compatible copy of CPTUI version that is available on WordPress.org.

### Fixed
- Trim extra spaces potentially left behind in text inputs.

## [1.0.8] - 2015-05-01
### Changed
- Register taxonomies at a higher priority than post types.

## [1.0.7] - 2015-04-20
### Fixed
- Preventive measures for potential XSS security issues with `add_query_arg()`.

## [1.0.6] - 2015-04-14
### Fixed
- Change priority of post type registration function that was causing rewrite issues for many.
- Issues with help text spots not showing up for some post type fields. Props pedro-mendonca.
- Logic issue with PHP's `empty()` function and CPTUI 0.9.x saved settings.

## [1.0.5] - 2015-03-20
### Added
- Explicitly set the post type and taxonomy rewrite slugs as the registered slug if no custom ones provided.
- Repopulated labels when none provided and post type or taxonomy mentioned in default label.

### Fixed
- Prevent cptui.js from loading where it is not needed.
- Undefined index notice for post type rewrite_withfront.
- Import/export get code tab and hierarchical taxonomies.

## [1.0.4] - 2015-03-05
### Fixed
- Incorrect boolean order for hierarchical taxonomies and default value.
- Missing closing div tags.
- Default menu position to null instead of empty string.
- Undefined index notice cleanup.

### Removed
- Remove unnecessary hook.

## [1.0.3] - Unknown
### Changed
- German translation updates. If you speak/read German, myself and the translator would LOVE to have feedback on this.
- Internationalization string changes after feedback from German translation work.

### Fixed
- Logic error regarding string "0" evaluating to false when checked for not empty.
- Taxonomy with_front boolean value not evaluating correctly.
- Taxonomy hierarchical boolean value not evaluating correctly.
- Post type `has_archive`.
- Minor issue with link HTML being stripped from UI field explanation.
- Better apostrophe/single quote support in label fields.

## [1.0.2] - 2015-02-12
### Changed
- Update some text strings after localization feedback.
- Updating progressing translation files.

### Fixed
- Issue with checked checkboxes for post type associations for taxonomies.
- "Get Code" spot related to post type associations for taxonomies.
- Typos in textdomain for two spots.
- Value for with_front parameter.
- Error in boolean type for `map_meta_cap`.
- Missing use of query_var slug if present for taxonomies.

## [1.0.1] - 2015-02-11
### Changed
- Prefix our "help" class to prevent conflict with other plugins that use just "help".

### Fixed
- Issues with taxonomy transfer and registration.
- Issue with taxonomy "show admin column" evaluating to true regardless of setting.
- Issue with menu position values not being obeyed.
- Hook names inside taxonomy update function.
- Potentially empty parameter with taxonomies and "Get Code" output.
- PHP "undefined index" notice for some parameters.

## 1.0.0 - 2015-02-09
### Added
- CPTUI has been given a new UI!
- Separated out post type and taxonomy creation to their own screens.
- Import/export ability for post type and taxonomy settings.
- Help/Support Screen.
- Confirmation prompts before deleting post types and taxonomies.
- Actions and filters for third-party customization.
- Function that automatically converts 0.8.x and down settings to new setting arrangement.

### Changed
- Updated available parameters for post types and parameters.
- Updated i18n and translation files.
- Changed how settings are stored so that post types and taxonomies are in named array indexes.

### Fixed
- Bug fixes not mentioned above.

[GitHub Updater]: https://github.com/afragen/github-updater

[Gary Jones]: https://github.com/GaryJones

[Unreleased]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.7.5...HEAD
[1.7.5]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.7.4...1.7.5
[1.7.4]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.7.3...1.7.4
[1.7.3]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.7.2...1.7.3
[1.7.2]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.7.1...1.7.2
[1.7.1]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.7.0...1.7.1
[1.7.0]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.6.2...1.7.0
[1.6.2]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.6.1...1.6.2
[1.6.1]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.6.0...1.6.1
[1.6.0]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.5.8...1.6.0
[1.5.8]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.5.7...1.5.8
[1.5.7]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.5.6...1.5.7
[1.5.6]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.5.5...1.5.6
[1.5.5]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.5.4...1.5.5
[1.5.4]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.5.3...1.5.4
[1.5.3]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.5.2...1.5.3
[1.5.2]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.5.1...1.5.2
[1.5.1]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.5.0...1.5.1
[1.5.0]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.4.3...1.5.0
[1.4.3]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.4.2...1.4.3
[1.4.2]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.4.1...1.4.2
[1.4.1]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.4.0...1.4.1
[1.4.0]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.3.5...1.4.0
[1.3.5]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.3.4...1.3.5
[1.3.4]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.3.3...1.3.4
[1.3.3]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.3.2...1.3.3
[1.3.2]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.3.1...1.3.2
[1.3.1]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.3.0...1.3.1
[1.3.0]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.2.4...1.3.0
[1.2.4]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.2.3...1.2.4
[1.2.3]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.2.2...1.2.3
[1.2.2]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.2.1...1.2.2
[1.2.1]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.2.0...1.2.1
[1.2.0]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.1.3...1.2.0
[1.1.3]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.1.2...1.1.3
[1.1.2]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.1.1...1.1.2
[1.1.1]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.1.0...1.1.1
[1.1.0]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.0.8...1.1.0
[1.0.8]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.0.7...1.0.8
[1.0.7]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.0.6...1.0.7
[1.0.6]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.0.5...1.0.6
[1.0.5]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.0.4...1.0.5
[1.0.4]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.0.3...1.0.4
[1.0.3]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.0.2...1.0.3
[1.0.2]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.0.1...1.0.2
[1.0.1]: https://github.com/WebDevStudios/custom-post-type-ui/compare/1.0.0...1.0.1

